import { Credit, EndPoint, GraphQLRequestOptions, HttpRequestOptions, ProblemDifficulty, ProblemStatus, Uris } from "./interfaces";
declare class Helper {
    static credit: Credit;
    static uris: Uris;
    static endpoint: EndPoint;
    static setCredit(credit: Credit): void;
    static setUris(uris: Uris): void;
    static setEndpoint(endpoint: EndPoint): void;
    static parseCookie(cookies: Array<string>, key: string): string;
    static statusMap(status: string | null): ProblemStatus;
    static difficultyMap(difficulty: string): ProblemDifficulty;
    static HttpRequest(options: HttpRequestOptions): Promise<any>;
    static GraphQLRequest(options: GraphQLRequestOptions): Promise<any>;
    static switchEndPoint(endPoint: EndPoint): void;
}
export default Helper;
